Subject: [netatalk-admins] LPR-printing, LW 8.5.1, 68k (ause of this list)

From: Thomas Tornblom <[email-masked]>
Date: Sat, 6 Mar 1999 00:11:16 +0100 (MET)

Greetings.

I know that this list deals with netatalk, but bear with me. netatalk is also 
involved.

I have tried to find someone who has tested LPR-printing with LaserWriter 8.5.1 
on a 68k Mac, but sofar gotten zero responses from people that has actually 
tested it.

I have it working great on a G3, but I can't get it to work on an old LC-475. 
Both running 8.1 and LW 8.5.1.

Message posted to Apple Tech Exchange:
---------
Subject:
                LPR-printing on 68k Mac, LW 8.5.1
          Author:
                Thomas Törnblom
                                                       Posted:
                                                            Thursday, 3/4/99 
5:17 AM CST
          Email:
                [email-masked], [email-masked]
          Model:
                LC-475
      System S/W:
                Mac OS 8.1
        Category: 
                Mac OS 8.0/8.1

       Does this work?

       I have an old LC475 (chipped to 33MHz) running 8.1 and/or 7.5.5.
       I also have a G3 running 8.1

       I have tried to get LPR-printing to work, and the G3 has no problems,
       but I can't get it to work on the 68k Mac.

       I have a SparcStation (Solaris 7) that has all the printers, and all
       other systems spool to this one.

       I have used netatalk a long time for this, but now that LaserWriter
       8.5.1 supports printing over LPR I thought I'd switch over to it.

       I have among other things a printer called "dw550c". When I configure
       it with this name on the Mac, my Sun complains that it can't find the
       printer "dw550". Notice that the trailing "c" is lost!

       I have snooped sessions from both Macs and compared them, and I see
       that the 68k Mac sets the TCP-URG bit in all packets pertaining to the 
       control file. The urg pointer points at the last character in the
       packet, which then becomes lost.

       I have aliased the printer as "dw550", and then I get a complaint on
       the packet containing the LPR sequence number, which is also
       corrupted. It does however feed the data over to the Sun, and those
       packets does *not* have URG set. The Sun has long ago determined that
       the job is broken and tosses it.

       An excerpt from snoop:

       ---
       TCP: ..1. .... = Urgent pointer
       TCP: ...1 .... = Acknowledgement
       TCP: .... 1... = Push
       TCP: .... .0.. = No reset
       TCP: .... ..0. = No Syn
       TCP: .... ...0 = No Fin
       TCP: Window = 17520
       TCP: Checksum = 0x4c16
       TCP: Urgent pointer = 7
       TCP: No options
       TCP: 
       PRINTER: ----- PRINTER: -----
       PRINTER: 
       PRINTER: "\2dw550c\n"
       ---

       Has anyone got this to work on a 68k Mac?

       8.1 or 7.5.5 makes no difference. For some (unknown) reason I can't
       get the Mac to use Classical Networking.

       The Mac has absolutely no problem with other TCP/IP applications.
       -- 
---
Real life:      Thomas Törnblom             Email:  [email-masked]
Snail mail:     HB Hax                      Phone:    +46  18 290 290
                Banvallsvägen 14            Fax:      +46  18 290 291
                S - 754 40 Uppsala, Sweden  Cellular: +46  73 986 6318